Bug 503236 - qemu/tcg - boot hangs intermittently on cryptomgr_test at doublefault_fn
qemu/tcg - boot hangs intermittently on cryptomgr_test at doublefault_fn
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-29 15:01 EDT by Richard W.M. Jones
Modified: 2010-12-05 01:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:53:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log from first failure (1.34 MB, text/plain)
2009-05-29 15:03 EDT, Richard W.M. Jones
no flags Details
build.log from second failure (206.09 KB, text/plain)
2009-05-29 15:04 EDT, Richard W.M. Jones
no flags Details
build.log (1.36 MB, text/plain)
2009-05-29 16:28 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2009-05-29 15:01:54 EDT
Description of problem:

Qemu boot hangs occasionally with these messages:

apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
type=2000 audit(1243614582.002:1): initialized
HugeTLB registered 4 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
msgmni has been set to 680
BUG: unable to handle kernel NULL pointer dereference at 00000014
IP: [<c041ddd9>] doublefault_fn+0xd/0x108
*pde = 00000000 
Oops: 0000 [#1] SMP 
last sysfs file: 
Modules linked in:

Pid: 26, comm: cryptomgr_test Not tainted (2.6.30-0.91.rc7.git1.fc12.i586 #1) 
EIP: 0060:[<c041ddd9>] EFLAGS: f8d8409e CPU: 0
EIP is at doublefault_fn+0xd/0x108
EAX: 00000000 EBX: 00000000 ECX: 00000000 EDX: 00000000
ESI: 00000000 EDI: 00000000 EBP: c0be1e2c ESP: c0be1e18
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Process cryptomgr_test (pid: 26, ti=c0be0000 task=d5418000 task.ti=d5b88000)
Stack:
 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Call Trace:
Code: c2 eb 00 ba b8 dd 41 c0 ff e2 8d 15 e4 61 99 c0 8b 0a 51 8d 15 e0 61 99 c0 8b 0a 51 c3 90 55 89 e5 56 53 83 ec 0c 0f 1f 44 00 00 <65> a1 14 00 00 00 89 45 f4 31 c0 8d 45 ee 66 c7 45 ee 00 00 c7 
EIP: [<c041ddd9>] doublefault_fn+0xd/0x108 SS:ESP 0068:c0be1e18
CR2: 0000000000000014
---[ end trace 6d450e935ee1897c ]---
cryptomgr_test used greatest stack depth: 7348 bytes left


Version-Release number of selected component (if applicable):

qemu-kvm-2:0.10.50-4.kvm86.fc12.i586
(guest) kernel 2.6.30-0.91.rc7.git1.fc12
(host) kernel is from Koji

How reproducible:

Intermittent, seen twice, both times on i586 guest.

Steps to reproduce:

Run the test-bootbootboot script from libguestfs.

I will attached full log files from both occasions.
Comment 1 Richard W.M. Jones 2009-05-29 15:03:46 EDT
Created attachment 345946 [details]
build.log from first failure
Comment 2 Richard W.M. Jones 2009-05-29 15:04:34 EDT
Created attachment 345947 [details]
build.log from second failure
Comment 3 Richard W.M. Jones 2009-05-29 16:28:43 EDT
Created attachment 345958 [details]
build.log

And another one ....
Comment 4 Richard W.M. Jones 2009-06-02 11:50:59 EDT
Tried to reproduce this on a machine with hardware
virtualization, and couldn't.  This seems to indicate
a problem with TCG (ie. software emulation).
Comment 5 Richard W.M. Jones 2009-06-02 12:02:25 EDT
Strike comment 4.

I notice this bug only occurs on i586 architecture.  My test was
on x86-64.
Comment 6 Richard W.M. Jones 2009-06-02 13:33:26 EDT
Verified that this does NOT happen on i586 with KVM.

So it looks like a software emulation bug.  I'm going to
post something on upstream qemu.
Comment 7 Mark McLoughlin 2009-06-03 12:21:37 EDT
Upstream thread here:

  http://lists.gnu.org/archive/html/qemu-devel/2009-06/msg00054.html
Comment 8 Bug Zapper 2009-06-09 12:49:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Richard W.M. Jones 2009-07-21 08:56:51 EDT
Possibly an instance of bug 502074.
Comment 10 Richard W.M. Jones 2009-07-23 18:22:59 EDT
Still happening in latest Rawhide / i586.  See this build.log
or the extract at the end of this comment.
http://koji.fedoraproject.org/koji/getfile?taskID=1495646&name=build.log

qemu 0.10.50-13.kvm88.fc12

I notice that cryptomgr_test is taking an awful lot of stack, 6K or 7K on
previous runs, and close to the 8K kernel stack limit.

----------------------
Freeing initrd memory: 63727k freed
platform rtc_cmos: registered platform RTC device (no PNP device found)
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
type=2000 audit(1248386136.114:1): initialized
HugeTLB registered 4 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
msgmni has been set to 907
BUG: unable to handle kernel NULL pointer dereference at 00000014
IP: [<c0421405>] doublefault_fn+0xd/0x108
*pde = 00000000 
Oops: 0000 [#1] SMP 
last sysfs file: 
Modules linked in:

Pid: 25, comm: cryptomgr_test Not tainted (2.6.31-0.86.rc3.git5.fc12.i686 #1) 
EIP: 0060:[<c0421405>] EFLAGS: f8d8409e CPU: 0
EIP is at doublefault_fn+0xd/0x108
EAX: 00000000 EBX: 00000000 ECX: 00000000 EDX: 00000000
ESI: 00000000 EDI: 00000000 EBP: c0c2ad2c ESP: c0c2ad18
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Process cryptomgr_test (pid: 25, ti=c0c2a000 task=d670d700 task.ti=d676c000)
Stack:
 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
<0> 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
<0> 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Call Trace:
Code: c2 eb 00 ba e4 13 42 c0 ff e2 8d 15 04 a1 9d c0 8b 0a 51 8d 15 00 a1 9d c0 8b 0a 51 c3 90 55 89 e5 56 53 83 ec 0c 0f 1f 44 00 00 <65> a1 14 00 00 00 89 45 f4 31 c0 8d 45 ee 66 c7 45 ee 00 00 c7 
EIP: [<c0421405>] doublefault_fn+0xd/0x108 SS:ESP 0068:c0c2ad18
CR2: 0000000000000014
---[ end trace 6d450e935ee1897c ]---
cryptomgr_test used greatest stack depth: 7160 bytes left
Comment 11 Bug Zapper 2009-11-16 05:01:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Admin XMLRPC Client 2010-03-09 12:19:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Bug Zapper 2010-11-04 07:11:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-05 01:53:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.